@import "style-variables.scss";
@import "theme/theme.scss";

@import "~@ng-select/ng-select/themes/default.theme.css";

@import "~angular-notifier/styles/core.scss";
@import "~angular-notifier/styles/types/type-default.scss";
@import "~angular-notifier/styles/types/type-error.scss";
@import "~angular-notifier/styles/types/type-info.scss";
@import "~angular-notifier/styles/types/type-warning.scss";
@import "~angular-notifier/styles/types/type-success.scss";
@import "~angular-notifier/styles/themes/theme-material.scss";

html,
body {
  height: 100%;
}
body {
  margin: 0;
  font-family: $font-family;
}

input {
  &:focus {
    outline: none;
  }
}

input:-internal-autofill-selected {
  animation: input_background_autofill 0s forwards;
}
@keyframes input_background_autofill {
  100% {
    background-color: transparent;
  }
}

ng-dropdown-panel {
  & .ng-option-marked {
    background-color: #4b2e6229 !important;
  }
}

// Tooltip
.tooltip-container {
  font-family: $font-family-num;
}

.mat-horizontal-content-container {
  overflow: initial;
  padding:0 !important;
}

.mat-form-field-infix {
  border: none !important;
  padding: 0 !important;
  height: 45.5px;
}

.mat-form-field-subscript-wrapper {
  padding: 2px 3px !important;
}

.mat-step-icon-state-number {
  font-family: $font-family-num;
}

.mat-step-label {
  font-size: 1rem !important;
  font-family: $font-family-num;
}

.mat-stepper-horizontal-line {
  position: relative;
  top: 2px;
}

.mat-horizontal-stepper-header-container {
  margin: 0 auto;
}

.mat-slide-toggle-content {
  font-family: $font-family-num;
}

// Notification
.notifier__notification--material .notifier__notification-button {
  margin-right: 10px;
  margin-left: -10px;
}

.notifier__container ul {
  margin: 0;
}

.notifier__notification--material .notifier__notification-message {
  line-height: 2;
  font-family: $font-family-num;
}
//DatePicker
.mat-datepicker-content{
  box-shadow: unset !important;
    border: 1px solid rgba(0, 0, 0, 0.18)

}

//MatCard
.mat-card{
  box-shadow: unset !important;
    border: 1px solid rgba(0, 0, 0, 0.18)

}
//MatButton
.mat-raised-button{
  box-shadow: unset !important;
    border: 1px solid rgba(0, 0, 0, 0.18)
}
// Timepicker
.timepicker {
  direction: ltr;
  &__actions {
    direction: rtl;
    div:last-child {
      margin-right: 10px;
    }
    justify-content: flex-end !important;
  }

  & span,
  & button,
  & input {
    font-family: $font-family-num !important;
  }

  & button {
    font-size: 12px !important;
  }

  & input {
    text-align: center !important;
  }
}
